| QxOrm 1.4.2 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Private Types | Static Private Member Functions | Static Private Attributes
qx::trait::is_container_base_of< B, D > Class Template Reference

`#include <is_container_base_of.h>`

List of all members.

## Public Types
enum | { value = (qx::trait::is_container_base_of<B, D>::value_2 || qx::trait::is_container_base_of<B, D>::value_3) }
typedef boost::mpl::if_c < qx::trait::is_container_base_of < B, D >::value, boost::mpl::true_, boost::mpl::false_ >::type | type
## Private Types
enum | { value_0 = (qx::trait::is_container<D>::value) }
enum | { value_1 = (qx::trait::is_container<B>::value) }
enum | { value_2 = ((value_0 && value_1) ? qx_container_base_of_test_0() : 0) }
enum | { value_3 = ((value_0 && ! value_1) ? qx_container_base_of_all_test() : 0) }
## Static Private Member Functions
template<typename V , typename W >
static boost::mpl::if_c < boost::is_base_of< V, W > ::value, char, int >::type | removeContainer (const std::vector< V > &, const std::vector< W > &)
template<typename V , typename W >
static boost::mpl::if_c < boost::is_base_of< V, W > ::value, char, int >::type | removeContainer (const std::list< V > &, const std::list< W > &)
template<typename V , typename W >
static boost::mpl::if_c < boost::is_base_of< V, W > ::value, char, int >::type | removeContainer (const std::set< V > &, const std::set< W > &)
template<typename V , typename W >
static boost::mpl::if_c < boost::is_base_of< V, W > ::value, char, int >::type | removeContainer (const QVector< V > &, const QVector< W > &)
template<typename V , typename W >
static boost::mpl::if_c < boost::is_base_of< V, W > ::value, char, int >::type | removeContainer (const QList< V > &, const QList< W > &)
template<typename V , typename W >
static boost::mpl::if_c < boost::is_base_of< V, W > ::value, char, int >::type | removeContainer (const QSet< V > &, const QSet< W > &)
template<typename V , typename W >
static boost::mpl::if_c < boost::is_base_of< V, W > ::value, char, int >::type | removeContainer (const QLinkedList< V > &, const QLinkedList< W > &)
template<typename V , typename W >
static boost::mpl::if_c < boost::is_base_of< V, W > ::value, char, int >::type | removeContainer (const boost::unordered_set< V > &, const boost::unordered_set< W > &)
template<typename V , typename W >
static boost::mpl::if_c < boost::is_base_of< V, W > ::value, char, int >::type | removeContainer (const boost::unordered_multiset< V > &, const boost::unordered_multiset< W > &)
static int | removeContainer (...)
## Static Private Attributes
static B | b
static D | d
static std::vector< B > * | b_std_vector
static std::list< B > * | b_std_list
static std::set< B > * | b_std_set
static QVector< B > * | b_qt_vector
static QList< B > * | b_qt_list
static QSet< B > * | b_qt_set
static QLinkedList< B > * | b_qt_linked_list
static boost::unordered_set< B > * | b_boost_unordered_set
static boost::unordered_multiset< B > * | b_boost_unordered_multi_set

## Detailed Description

### template<typename B, typename D>
class qx::trait::is_container_base_of< B, D >

Definition at line 80 of file is_container_base_of.h.

## Member Typedef Documentation

template<typename B , typename D >

typedef boost::mpl::if_c<qx::trait::is_container_base_of<B, D>::value, boost::mpl::true_, boost::mpl::false_>::type qx::trait::is_container_base_of< B, D >::type

Definition at line 152 of file is_container_base_of.h.

## Member Enumeration Documentation

template<typename B , typename D >

anonymous enum`[private]`

Enumerator:

  value_0 |

Definition at line 143 of file is_container_base_of.h.

template<typename B , typename D >

anonymous enum`[private]`

Enumerator:

  value_1 |

Definition at line 144 of file is_container_base_of.h.

template<typename B , typename D >

anonymous enum`[private]`

Enumerator:

  value_2 |

Definition at line 145 of file is_container_base_of.h.

template<typename B , typename D >

anonymous enum`[private]`

Enumerator:

  value_3 |

Definition at line 146 of file is_container_base_of.h.

template<typename B , typename D >

anonymous enum

Enumerator:

  value |

Definition at line 150 of file is_container_base_of.h.

## Member Function Documentation

template<typename B , typename D >
template<typename V , typename W >

static boost::mpl::if_c<boost::is_base_of<V, W>::value, char, int>::type qx::trait::is_container_base_of< B, D >::removeContainer | ( | const std::vector< V > & | ,
|  | const std::vector< W > & |
| ) |  | `[static, private]`

template<typename B , typename D >
template<typename V , typename W >

static boost::mpl::if_c<boost::is_base_of<V, W>::value, char, int>::type qx::trait::is_container_base_of< B, D >::removeContainer | ( | const std::list< V > & | ,
|  | const std::list< W > & |
| ) |  | `[static, private]`

template<typename B , typename D >
template<typename V , typename W >

static boost::mpl::if_c<boost::is_base_of<V, W>::value, char, int>::type qx::trait::is_container_base_of< B, D >::removeContainer | ( | const std::set< V > & | ,
|  | const std::set< W > & |
| ) |  | `[static, private]`

template<typename B , typename D >
template<typename V , typename W >

static boost::mpl::if_c<boost::is_base_of<V, W>::value, char, int>::type qx::trait::is_container_base_of< B, D >::removeContainer | ( | const QVector< V > & | ,
|  | const QVector< W > & |
| ) |  | `[static, private]`

template<typename B , typename D >
template<typename V , typename W >

static boost::mpl::if_c<boost::is_base_of<V, W>::value, char, int>::type qx::trait::is_container_base_of< B, D >::removeContainer | ( | const QList< V > & | ,
|  | const QList< W > & |
| ) |  | `[static, private]`

template<typename B , typename D >
template<typename V , typename W >

static boost::mpl::if_c<boost::is_base_of<V, W>::value, char, int>::type qx::trait::is_container_base_of< B, D >::removeContainer | ( | const QSet< V > & | ,
|  | const QSet< W > & |
| ) |  | `[static, private]`

template<typename B , typename D >
template<typename V , typename W >

static boost::mpl::if_c<boost::is_base_of<V, W>::value, char, int>::type qx::trait::is_container_base_of< B, D >::removeContainer | ( | const QLinkedList< V > & | ,
|  | const QLinkedList< W > & |
| ) |  | `[static, private]`

template<typename B , typename D >
template<typename V , typename W >

static boost::mpl::if_c<boost::is_base_of<V, W>::value, char, int>::type qx::trait::is_container_base_of< B, D >::removeContainer | ( | const boost::unordered_set< V > & | ,
|  | const boost::unordered_set< W > & |
| ) |  | `[static, private]`

template<typename B , typename D >
template<typename V , typename W >

static boost::mpl::if_c<boost::is_base_of<V, W>::value, char, int>::type qx::trait::is_container_base_of< B, D >::removeContainer | ( | const boost::unordered_multiset< V > & | ,
|  | const boost::unordered_multiset< W > & |
| ) |  | `[static, private]`

template<typename B , typename D >

static int qx::trait::is_container_base_of< B, D >::removeContainer | ( |  | ... | ) | `[static, private]`

## Member Data Documentation

template<typename B , typename D >

B qx::trait::is_container_base_of< B, D >::b`[static, private]`

Definition at line 123 of file is_container_base_of.h.

template<typename B , typename D >

boost::unordered_multiset<B>* qx::trait::is_container_base_of< B, D >::b_boost_unordered_multi_set`[static, private]`

Definition at line 134 of file is_container_base_of.h.

template<typename B , typename D >

boost::unordered_set<B>* qx::trait::is_container_base_of< B, D >::b_boost_unordered_set`[static, private]`

Definition at line 133 of file is_container_base_of.h.

template<typename B , typename D >

QLinkedList<B>* qx::trait::is_container_base_of< B, D >::b_qt_linked_list`[static, private]`

Definition at line 132 of file is_container_base_of.h.

template<typename B , typename D >

QList<B>* qx::trait::is_container_base_of< B, D >::b_qt_list`[static, private]`

Definition at line 130 of file is_container_base_of.h.

template<typename B , typename D >

QSet<B>* qx::trait::is_container_base_of< B, D >::b_qt_set`[static, private]`

Definition at line 131 of file is_container_base_of.h.

template<typename B , typename D >

QVector<B>* qx::trait::is_container_base_of< B, D >::b_qt_vector`[static, private]`

Definition at line 129 of file is_container_base_of.h.

template<typename B , typename D >

std::list<B>* qx::trait::is_container_base_of< B, D >::b_std_list`[static, private]`

Definition at line 127 of file is_container_base_of.h.

template<typename B , typename D >

std::set<B>* qx::trait::is_container_base_of< B, D >::b_std_set`[static, private]`

Definition at line 128 of file is_container_base_of.h.

template<typename B , typename D >

std::vector<B>* qx::trait::is_container_base_of< B, D >::b_std_vector`[static, private]`

Definition at line 126 of file is_container_base_of.h.

template<typename B , typename D >

D qx::trait::is_container_base_of< B, D >::d`[static, private]`

Definition at line 124 of file is_container_base_of.h.

The documentation for this class was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxTraits/is_container_base_of.h